Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1566301 - [abrt] __do_softirq: WARNING: CPU: 7 PID: 8789 at net/core/dev.c:5637 net_rx_action+0x2f3/0x3f0
Summary: [abrt] __do_softirq: WARNING: CPU: 7 PID: 8789 at net/core/dev.c:5637 net_rx_...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:da1c5a19a3b873f8f8c61a7b273...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 02:13 UTC by Doncho Gunchev
Modified: 2018-05-29 11:20 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:20:57 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (110.74 KB, text/plain)
2018-04-12 02:14 UTC, Doncho Gunchev
no flags Details

Description Doncho Gunchev 2018-04-12 02:13:56 UTC
Description of problem:
I resumed the laptop (from sleep to RAM) and connected to WIFI network two or three times. After that maybe 10 seconds passed before the problem appeared.

Additional info:
reporter:       libreport-2.9.1
WARNING: CPU: 7 PID: 8789 at net/core/dev.c:5637 net_rx_action+0x2f3/0x3f0
Modules linked in: uas usb_storage cmac ccm rfcomm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 fuse ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables arc4 bnep sunrpc vfat fat ath10k_pci snd_hda_codec_realtek ath10k_core snd_hda_codec_generic intel_rapl x86_pkg_temp_thermal intel_powerclamp uvcvideo coretemp joydev videobuf2_vmalloc kvm_intel mac80211 iTCO_wdt hid_multitouch videobuf2_memops btusb snd_hda_intel videobuf2_v4l2 btrtl
 iTCO_vendor_support videobuf2_core btbcm kvm btintel snd_hda_codec videodev bluetooth ath snd_hda_core snd_hwdep irqbypass snd_seq intel_cstate intel_uncore snd_seq_device cfg80211 ecdh_generic media intel_rapl_perf snd_pcm snd_timer mei_me rtsx_pci_ms acer_wmi wmi_bmof mei memstick snd sparse_keymap intel_wmi_thunderbolt i2c_i801 soundcore rfkill idma64 intel_lpss_pci intel_lpss intel_pch_thermal tpm_crb pinctrl_sunrisepoint tpm_tis pinctrl_intel tpm_tis_core shpchp tpm acpi_pad binfmt_misc btrfs xor zstd_decompress zstd_compress xxhash raid6_pq dm_crypt nouveau i915 rtsx_pci_sdmmc mmc_core mxm_wmi ttm i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel drm r8169 ghash_clmulni_intel serio_raw rtsx_pci mii i2c_hid wmi video i2c_dev
CPU: 7 PID: 8789 Comm: java Not tainted 4.15.12-201.fc26.x86_64 #1
Hardware name: Acer Predator PH317-51/Sienna_KLS, BIOS V1.09 07/06/2017
RIP: 0010:net_rx_action+0x2f3/0x3f0
RSP: 0000:ffff9ebe3edc3ee0 EFLAGS: 00010293
RAX: 0000000000000042 RBX: 00000000ffffffff RCX: ffff9ebe1c201e50
RDX: ffff9eb9e7523000 RSI: 00000000fffffe01 RDI: ffffffffc0f7ed3e
RBP: 0000000000000042 R08: 0000000000000002 R09: 0000000000000000
R10: 000000000000500a R11: 0000000000000001 R12: 0000000000000040
R13: 00000000000000ea R14: ffff9ebe1c207b60 R15: 0000000000000000
FS:  00007fd8e53cf700(0000) GS:ffff9ebe3edc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000ff308000 CR3: 0000000119fac002 CR4: 00000000003606e0
Call Trace:
 <IRQ>
 __do_softirq+0xe7/0x2cb
 irq_exit+0xf1/0x100
 do_IRQ+0x7d/0xc0
 common_interrupt+0x87/0x87
 </IRQ>
RIP: 0033:0x7fd968d62384
RSP: 002b:00007fd8e53cb5b0 EFLAGS: 00000246 ORIG_RAX: ffffffffffffffde
RAX: 0000000000000000 RBX: 00007fd8c90ae158 RCX: 0000000000000000
RDX: 0000000000000002 RSI: 0000000000000002 RDI: 00007fd8e53cb70c
RBP: 00007fd8e53cb5b0 R08: 0000000000000000 R09: 0000000055555555
R10: 00007fd8e53cb718 R11: 0000000000000000 R12: 00007fd8e53cbb90
R13: 00007fd8d5892be0 R14: 0000000000000289 R15: 00007fd8c9112400
Code: 8b 7d 08 49 83 c5 18 44 89 e1 89 ea 4c 89 f6 e8 f4 fd 4a 00 4d 8b 55 00 4d 85 d2 75 e2 44 8b 6c 24 14 41 39 ec 0f 8d 76 fe ff ff <0f> 0b 41 39 ec 0f 8f 74 fe ff ff 49 8b 46 10 a8 04 0f 85 9a 00 

Potential duplicate: bug 1562697

Comment 1 Doncho Gunchev 2018-04-12 02:14:17 UTC
Created attachment 1420627 [details]
File: dmesg

Comment 2 Doncho Gunchev 2018-04-12 05:00:18 UTC
This happens like least weekly, two more cases:

messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: WARNING: CPU: 7 PID: 0 at net/core/dev.c:5630 net_rx_action+0x2db/0x3d0
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: Modules linked in: cmac ccm rfcomm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6
t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_de
frag_ipv6 nf_nat_ipv6 fuse ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_connt
rack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables arc4 bnep sunrpc vfat fat intel_rapl
 x86_pkg_temp_thermal btusb intel_powerclamp btrtl coretemp btbcm snd_hda_codec_realtek btintel iTCO_wdt hid_multitouch snd_hda_codec_generic kvm_
intel iTCO_vendor_support ath10k_pci bluetooth ath10k_core kvm uvcvideo snd_hda_intel videobuf2_vmalloc videobuf2_memops
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: snd_hda_codec videobuf2_v4l2 ecdh_generic videobuf2_core mac80211 irqbypass snd_hda_core vid
eodev snd_hwdep intel_cstate snd_seq intel_uncore joydev media snd_seq_device ath intel_rapl_perf snd_pcm cfg80211 acer_wmi intel_wmi_thunderbolt 
sparse_keymap wmi_bmof snd_timer snd soundcore rtsx_pci_ms i2c_i801 memstick rfkill mei_me idma64 mei intel_lpss_pci intel_pch_thermal intel_lpss 
tpm_crb tpm_tis pinctrl_sunrisepoint tpm_tis_core tpm pinctrl_intel acpi_pad shpchp binfmt_misc btrfs xor zstd_decompress zstd_compress xxhash rai
d6_pq dm_crypt i915 nouveau mxm_wmi ttm rtsx_pci_sdmmc i2c_algo_bit mmc_core drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel drm r8169 g
hash_clmulni_intel serio_raw rtsx_pci mii i2c_hid wmi video i2c_dev
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: CPU: 7 PID: 0 Comm: swapper/7 Not tainted 4.15.7-200.fc26.x86_64 #1
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: Hardware name: Acer Predator PH317-51/Sienna_KLS, BIOS V1.09 07/06/2017
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: RIP: 0010:net_rx_action+0x2db/0x3d0
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: RSP: 0018:ffff8e57fedc3ee0 EFLAGS: 00010293
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: RAX: 0000000000000048 RBX: 00000000ffffffff RCX: ffff8e57ddc41e18
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: RDX: ffff8e53bf862000 RSI: 00000000fffffe01 RDI: ffffffffc0fdecce
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: RBP: 0000000000000048 R08: 0000000000000002 R09: 0000000000000000
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: R10: 000000000000224c R11: 0000000000000001 R12: 0000000000000040
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: R13: 00000000000000e4 R14: ffff8e57ddc47b60 R15: 0000000000000000
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: FS:  0000000000000000(0000) GS:ffff8e57fedc0000(0000) knlGS:0000000000000000
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: CR2: 00007f1328774000 CR3: 00000003cc20a004 CR4: 00000000003606e0
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: Call Trace:
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: <IRQ>
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: __do_softirq+0xe7/0x2cb
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: irq_exit+0xf1/0x100
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: do_IRQ+0x7d/0xc0
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: common_interrupt+0x87/0x87
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: </IRQ>
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: RIP: 0010:cpuidle_enter_state+0xa2/0x2e0
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: RSP: 0018:ffffb3f38199fea8 EFLAGS: 00000246 ORIG_RAX: ffffffffffffffde
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: RAX: ffff8e57fede0a80 RBX: 0000065de4a5915c RCX: 000000000000001f
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: RDX: 0000065de4a5915c RSI: fffffffe41118352 RDI: 0000000000000000
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: RBP: ffff8e57fedea408 R08: 0000000000000394 R09: 0000000000000a59
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: R10: ffffb3f38199fe88 R11: 000000000000038b R12: 0000000000000006
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: R13: ffffffffa92d13f8 R14: 0000000000000000 R15: 0000065de4a0aa86
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: ? cpuidle_enter_state+0x92/0x2e0
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: do_idle+0x17b/0x1d0
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: cpu_startup_entry+0x6f/0x80
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: start_secondary+0x1a2/0x1f0
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: secondary_startup_64+0xa5/0xb0
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: Code: 8b 7d 08 49 83 c5 18 44 89 e1 89 ea 4c 89 f6 e8 1c 0e 4b 00 4d 8b 55 00 4d 85 d2 75 e2 44 8b 6c 24 14 41 39 ec 0f 8d 8e fe ff ff <0f> 0b 41 39 ec 0f 8f 8c fe ff ff 49 8b 46 10 a8 04 0f 85 8a 00 
messages-20180318.gz:Mar 15 10:51:24 dgunchev kernel: ---[ end trace eb215671e9e53296 ]---



messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: WARNING: CPU: 7 PID: 0 at net/core/dev.c:5630 net_rx_action+0x2db/0x3d0
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: Modules linked in: cmac ccm rfcomm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 fuse ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables arc4 bnep sunrpc vfat fat ath10k_pci ath10k_core intel_rapl btusb snd_hda_codec_realtek x86_pkg_temp_thermal btrtl intel_powerclamp btbcm snd_hda_codec_generic btintel mac80211 coretemp hid_multitouch bluetooth uvcvideo kvm_intel iTCO_wdt videobuf2_vmalloc iTCO_vendor_support snd_hda_intel videobuf2_memops
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: videobuf2_v4l2 snd_hda_codec kvm videobuf2_core snd_hda_core snd_hwdep snd_seq videodev joydev irqbypass intel_cstate snd_seq_device ath media intel_uncore ecdh_generic snd_pcm cfg80211 intel_rapl_perf snd_timer acer_wmi snd intel_wmi_thunderbolt sparse_keymap rtsx_pci_ms soundcore wmi_bmof rfkill idma64 mei_me memstick i2c_i801 intel_lpss_pci mei intel_lpss intel_pch_thermal tpm_crb pinctrl_sunrisepoint tpm_tis pinctrl_intel tpm_tis_core tpm shpchp acpi_pad binfmt_misc btrfs xor zstd_decompress zstd_compress xxhash raid6_pq dm_crypt nouveau i915 rtsx_pci_sdmmc mmc_core mxm_wmi ttm i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel drm ghash_clmulni_intel r8169 serio_raw rtsx_pci mii i2c_hid wmi video i2c_dev
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: CPU: 7 PID: 0 Comm: swapper/7 Not tainted 4.15.7-200.fc26.x86_64 #1
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: Hardware name: Acer Predator PH317-51/Sienna_KLS, BIOS V1.09 07/06/2017
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: RIP: 0010:net_rx_action+0x2db/0x3d0
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: RSP: 0018:ffff9784fedc3ee0 EFLAGS: 00010293
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: RAX: 0000000000000043 RBX: 00000000ffffffff RCX: ffff9784dd031e80
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: RDX: ffff9780bf8c4000 RSI: 00000000fffffe01 RDI: ffffffffc1206cce
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: RBP: 0000000000000043 R08: 0000000000000002 R09: 0000000000000000
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: R10: 00000000000070d9 R11: 0000000000000001 R12: 0000000000000040
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: R13: 00000000000000e9 R14: ffff9784dd037b60 R15: 0000000000000000
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: FS:  0000000000000000(0000) GS:ffff9784fedc0000(0000) knlGS:0000000000000000
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: CR2: 0000564cc45df000 CR3: 000000037d20a001 CR4: 00000000003606e0
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: Call Trace:
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: <IRQ>
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: __do_softirq+0xe7/0x2cb
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: irq_exit+0xf1/0x100
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: do_IRQ+0x7d/0xc0
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: common_interrupt+0x87/0x87
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: </IRQ>
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: RIP: 0010:cpuidle_enter_state+0xa2/0x2e0
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: RSP: 0018:ffffa3eb8199fea8 EFLAGS: 00000246 ORIG_RAX: ffffffffffffffde
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: RAX: ffff9784fede0a80 RBX: 00001112ab2a4cc0 RCX: 000000000000001f
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: RDX: 00001112ab2a4cc0 RSI: fffffffe93e08e48 RDI: 0000000000000000
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: RBP: ffff9784fedea408 R08: 0000000000000ae9 R09: 0000000000001681
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: R10: ffffa3eb8199fe88 R11: 00000000000003d8 R12: 0000000000000008
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: R13: ffffffffba2d14b8 R14: 0000000000000000 R15: 00001112ab0e1c4f
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: ? cpuidle_enter_state+0x92/0x2e0
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: do_idle+0x17b/0x1d0
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: cpu_startup_entry+0x6f/0x80
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: start_secondary+0x1a2/0x1f0
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: secondary_startup_64+0xa5/0xb0
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: Code: 8b 7d 08 49 83 c5 18 44 89 e1 89 ea 4c 89 f6 e8 1c 0e 4b 00 4d 8b 55 00 4d 85 d2 75 e2 44 8b 6c 24 14 41 39 ec 0f 8d 8e fe ff ff <0f> 0b 41 39 ec 0f 8f 8c fe ff ff 49 8b 46 10 a8 04 0f 85 8a 00 
messages-20180325.gz:Mar 21 12:11:53 dgunchev kernel: ---[ end trace 74e472813d84ca7b ]---

Comment 3 Fedora End Of Life 2018-05-03 07:52:15 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2018-05-29 11:20:57 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.